Open CASCADE Technology: BRepOffset_Analyse Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepOffset_Analyse Class Reference

Analyse of a shape consit to Find the part of edges convex concave tangent. More...

`#include <BRepOffset_Analyse.hxx>`

## Public Member Functions
| BRepOffset_Analyse ()
| BRepOffset_Analyse (const TopoDS_Shape &S, const Standard_Real Angle)
void | Perform (const TopoDS_Shape &S, const Standard_Real Angle)
Standard_Boolean | IsDone () const
void | Clear ()
const BRepOffset_ListOfInterval & | Type (const TopoDS_Edge &E) const
void | Edges (const TopoDS_Vertex &V, const BRepOffset_Type T, TopTools_ListOfShape &L) const
| Stores in <L> all the edges of Type <T> on the vertex <V>. More...
void | Edges (const TopoDS_Face &F, const BRepOffset_Type T, TopTools_ListOfShape &L) const
| Stores in <L> all the edges of Type <T> on the face <F>. More...
void | TangentEdges (const TopoDS_Edge &Edge, const TopoDS_Vertex &Vertex, TopTools_ListOfShape &Edges) const
| set in <Edges> all the Edges of <Shape> which are tangent to <Edge> at the vertex <Vertex>. More...
Standard_Boolean | HasAncestor (const TopoDS_Shape &S) const
const TopTools_ListOfShape & | Ancestors (const TopoDS_Shape &S) const
void | Explode (TopTools_ListOfShape &L, const BRepOffset_Type Type) const
| Explode in compounds of faces where all the connex edges are of type <Side> More...
void | Explode (TopTools_ListOfShape &L, const BRepOffset_Type Type1, const BRepOffset_Type Type2) const
| Explode in compounds of faces where all the connex edges are of type <Side1> or <Side2> More...
void | AddFaces (const TopoDS_Face &Face, TopoDS_Compound &Co, TopTools_MapOfShape &Map, const BRepOffset_Type Type) const
| Add in <CO> the faces of the shell containing <Face> where all the connex edges are of type <Side>. More...
void | AddFaces (const TopoDS_Face &Face, TopoDS_Compound &Co, TopTools_MapOfShape &Map, const BRepOffset_Type Type1, const BRepOffset_Type Type2) const
| Add in <CO> the faces of the shell containing <Face> where all the connex edges are of type <Side1> or <Side2>. More...

## Detailed Description

Analyse of a shape consit to Find the part of edges convex concave tangent.

## Constructor & Destructor Documentation

BRepOffset_Analyse::BRepOffset_Analyse | ( |  | ) |

BRepOffset_Analyse::BRepOffset_Analyse | ( | const TopoDS_Shape & | S,
|  | const Standard_Real | Angle
| ) |  |

## Member Function Documentation

void BRepOffset_Analyse::AddFaces | ( | const TopoDS_Face & | Face,
|  | TopoDS_Compound & | Co,
|  | TopTools_MapOfShape & | Map,
|  | const BRepOffset_Type | Type
| ) |  | const

Add in <CO> the faces of the shell containing <Face> where all the connex edges are of type <Side>.

void BRepOffset_Analyse::AddFaces | ( | const TopoDS_Face & | Face,
|  | TopoDS_Compound & | Co,
|  | TopTools_MapOfShape & | Map,
|  | const BRepOffset_Type | Type1,
|  | const BRepOffset_Type | Type2
| ) |  | const

Add in <CO> the faces of the shell containing <Face> where all the connex edges are of type <Side1> or <Side2>.

const TopTools_ListOfShape& BRepOffset_Analyse::Ancestors | ( | const TopoDS_Shape & | S | ) | const

void BRepOffset_Analyse::Clear | ( |  | ) |

void BRepOffset_Analyse::Edges | ( | const TopoDS_Vertex & | V,
|  | const BRepOffset_Type | T,
|  | TopTools_ListOfShape & | L
| ) |  | const

Stores in <L> all the edges of Type <T> on the vertex <V>.

void BRepOffset_Analyse::Edges | ( | const TopoDS_Face & | F,
|  | const BRepOffset_Type | T,
|  | TopTools_ListOfShape & | L
| ) |  | const

Stores in <L> all the edges of Type <T> on the face <F>.

void BRepOffset_Analyse::Explode | ( | TopTools_ListOfShape & | L,
|  | const BRepOffset_Type | Type
| ) |  | const

Explode in compounds of faces where all the connex edges are of type <Side>

void BRepOffset_Analyse::Explode | ( | TopTools_ListOfShape & | L,
|  | const BRepOffset_Type | Type1,
|  | const BRepOffset_Type | Type2
| ) |  | const

Explode in compounds of faces where all the connex edges are of type <Side1> or <Side2>

Standard_Boolean BRepOffset_Analyse::HasAncestor | ( | const TopoDS_Shape & | S | ) | const

Standard_Boolean BRepOffset_Analyse::IsDone | ( |  | ) | const

void BRepOffset_Analyse::Perform | ( | const TopoDS_Shape & | S,
|  | const Standard_Real | Angle
| ) |  |

void BRepOffset_Analyse::TangentEdges | ( | const TopoDS_Edge & | Edge,
|  | const TopoDS_Vertex & | Vertex,
|  | TopTools_ListOfShape & | Edges
| ) |  | const

set in <Edges> all the Edges of <Shape> which are tangent to <Edge> at the vertex <Vertex>.

const BRepOffset_ListOfInterval& BRepOffset_Analyse::Type | ( | const TopoDS_Edge & | E | ) | const

The documentation for this class was generated from the following file:

- BRepOffset_Analyse.hxx